// Copyright (c) 2015, <JO>. All rights reserved. Use of this source code
// is governed by a BSD-style license that can be found in the LICENSE file.

import 'dart:html';

import 'package:DartFibonErast/nav_menu.dart';
import 'package:DartFibonErast/fibon.dart';
import 'package:DartFibonErast/erast.dart';
import 'package:route_hierarchical/client.dart';

void main() {
  initNavMenu();
  initFibon();
  initErast();

  // Webapps need routing to listen for changes to the URL.
  var router = new Router();
  router.root
    ..addRoute(name: 'erast', path: '/erast', enter: showErast)
    ..addRoute(name: 'fibon', defaultRoute: true, path: '/', enter: showFibon);
  router.listen();
}

void showErast(RouteEvent e) {
  // Extremely simple and non-scalable way to show different views.
  querySelector('#fibonID').style.display = 'none';
  querySelector('#erastID').style.display = '';
}

void showFibon(RouteEvent e) {
  querySelector('#fibonID').style.display = '';
  querySelector('#erastID').style.display = 'none';
}
